> For the complete documentation index, see [llms.txt](https://docs.tsgglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tsgglobal.com/api-reference/phone-numbers/protect-your-phone-number/textprotect-webhook.md).

# TextProtect Webhook

To receive notification on every unauthorized attempt for changing your number messaging provider please provide an URL that exposes HTTP POST endpoint and accepts the body model like in the example below.

```json
{
 "number": "1200300400",
 "sms_account": "TSG100000",
 "requester_nnid": "123456",
 "requester": "carrier",
 "timestamp": "2023-03-30T08:14:19.688501",
 "description": "Request rejected by TextProtect"
}
```

Please respond with 200 OK on success, otherwise, our webhook will retry for the next 72 hours with exponential backoff. If we are unable to deliver the webhook after 72 hours the retry will stop.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/protect-your-phone-number/textprotect-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
